;(function($) {
	$.fn.mkhg = function(options) {
		var url = options.url;

		$('#mkhg_admin').live("click", function() {
			var textVal = $('#mkhg_text').html();
			$('#mkhg_textbox').val(textVal.replace(/<br>/g, "\n"));

			$('#mkhg_form').slideToggle(0);
			return false;
		});
		$('#mkhg_submit').live("click", function() {
			var password = $('#mkhg_password').val();
			var txtbox = $('#mkhg_textbox').val();
			if (txtbox.replace(/\r\n|\n|\r/g, "<br>") == $('#mkhg_text').html()) {
				alert('同じ内容の書き込みです。');
				return false;
			}

			$.ajax({
				type: "POST",
				url: url,
				dataType: "html",
				data: { "mode": "write", "text" : txtbox, "password" : password},
				success: function(data) {
					if (data == 'PASSWORD_ERROR') {
						alert('パスワードが違います。');
						return false;
					}
					alert('正常に書き込みが完了しました。');
					$('#mkhg_text').html(data);
					// $('#mkhg_form').hide();
				},
				error: function(XMLHttpRequest, textStatus, errorThrown) {
					this;
					alert('Error : ' + errorThrown);
				}
			});
			return false;
		});
	}
})(jQuery);
