<?php
//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
// 今日の一言ぐれーと
$GLOBALS['version'] = 'Ver1.01'; // (2013/01/15 Update)
// Copyright(c) 2007-2013 tisa All rights reserved.
//
// URL  : http://goo.gl/kxtdN
// MAIL : ari_tisa9@yahoo.co.jp
//
//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
////////■ 基本設定 ■////////
// ★管理者パスワード（※必ず変更してください）
$GLOBALS['mskey'] = '0123';

// ◆フォームを開くリンク名
$GLOBALS['admin'] = 'admin';

//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
////////■ デザイン ■////////
// ◆コンテナ
$GLOBALS['containercss'] = 'text-align: left; color: #666666; font-size: 13px; font-family: \\\'ヒラギノ角ゴ Pro W3\\\', \\\'Hiragino Kaku Gothic Pro\\\', \\\'メイリオ\\\', Meiryo, \\\'ＭＳ Ｐゴシック\\\', sans-serif; ';

// ◆テキスト
// ※内容が一定量を超えるとスクロールバーが出るようにしたい場合は、次の行のコメントアウトを外してください。
//$GLOBALS['textcss']    = 'height: 120px; overflow-y: auto;';

// ◆フォーム
$GLOBALS['formcss']      = 'color: #666666; background-color: #F5F5F5; border: 1px solid #999999; padding: 5px;'.
							'-webkit-box-shadow: 2px 2px 6px #8E8E8E; -moz-box-shadow: 2px 2px 6px #8E8E8E; box-shadow: 2px 2px 6px #8E8E8E;';

//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
////////■ ファイルパス ■////////
// ◆データファイル
$GLOBALS['textfile'] = './text.dat';

//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
//////■ 以下スクリプト ■////
//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
mb_language("japanese");
mb_internal_encoding("UTF-8");

// 処理分岐
if ($_POST['mode'] === 'write') {
	write();
//} else if ($_POST['mode'] === '') {
//	message_write();
} else {
	view();
}
exit;
//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
// ▼ 書き込み
//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
function write() {
	// アクセスチェック
	if ($_POST['password'] !== $GLOBALS['mskey']) {
		@header('Content-Type: text/html; charset: utf-8');
		echo 'PASSWORD_ERROR';
		return;
	}

	setcookie('password', $_POST['password'], (time() + 60 * 60 * 24 * 30), '/', $_SERVER['SERVER_NAME']);

	$text = $_POST['text'];
	$text = mb_convert_encoding($text, "utf-8", "auto");
	$text = preg_replace("/\r\n|\n|\r/", "<br>", $text);

	// ファイル書き込み
	$FN = fopen($GLOBALS['textfile'], "w");
	fputs($FN, $text);
	fclose($FN);

	@header('Content-Type: text/html; charset: utf-8');
	echo $text;
}

//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
// ▼ 内容表示
//～～～～～～～～～～～～～～～～～～～～～～～～～～～～
function view() {
	// ファイル読み込み
	if (file_exists($GLOBALS['textfile'])) {
		$TEXT = file($GLOBALS['textfile']);
	}

	$html = '<div style="'. $GLOBALS['containercss']. '">'.
				'<div style="'. $GLOBALS['textcss']. '">'.
					'<div id="mkhg_text">'. $TEXT[0]. '</div>'.
					'<a href="#" id="mkhg_admin">'. $GLOBALS['admin']. '</a>'.
				'</div>'.
				'<div style="position: relative;">'.
					'<div id="mkhg_form" style="display: none; position: absolute; top: 0; left: 0; '. $GLOBALS['formcss']. '">'.
						'<textarea rows="10" cols="40" id="mkhg_textbox"></textarea><br />'.
						'Password: <input type="password" value="'. $_COOKIE['password']. '" id="mkhg_password" size="10" /><br />'.
						'<input type="button" value="送信" id="mkhg_submit" />'.
						'<div align="right"><small><a href="http://goo.gl/kxtdN" target="_blank">今日の一言ぐれーと '.$GLOBALS['version'].'</a></small></div>'.
					'</div>'.
				'</div>'.
			'</div>';

	@header('Content-Type: text/javascript; charset: utf-8');
	echo "document.write('{$html}');";
}
?>
